Skip to main content
PATCH
/
specifications
/
{id}
Update specification
curl --request PATCH \
  --url https://api.galtea.ai/specifications/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "spec_123",
  "productId": "prod_123",
  "userId": "user_123",
  "description": "Product must respond accurately to user queries",
  "type": "CAPABILITY",
  "testType": "QUALITY",
  "testVariant": "rag",
  "useForTestAlignment": true,
  "metricIds": [
    "metric_123"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
'
{
  "id": "spec_123",
  "productId": "prod_123",
  "userId": "user_123",
  "description": "Product must respond accurately to user queries",
  "type": "CAPABILITY",
  "testType": "QUALITY",
  "testVariant": "rag",
  "useForTestAlignment": true,
  "metricIds": [
    "metric_123"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Specification ID

Body

application/json
id
string
Example:

"spec_123"

productId
string
Example:

"prod_123"

userId
string | null
Example:

"user_123"

description
string
Example:

"Product must respond accurately to user queries"

type
enum<string>
Available options:
CAPABILITY,
INABILITY,
POLICY
Example:

"CAPABILITY"

testType
enum<string> | null

Only applicable for POLICY specifications. Must be null for CAPABILITY and INABILITY.

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS
Example:

"QUALITY"

testVariant
string | null

Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.

Example:

"rag"

useForTestAlignment
boolean
Example:

true

metricIds
string[]
Example:
["metric_123"]
createdAt
string<date-time>
deletedAt
string<date-time> | null

Response

Specification updated successfully

id
string
Example:

"spec_123"

productId
string
Example:

"prod_123"

userId
string | null
Example:

"user_123"

description
string
Example:

"Product must respond accurately to user queries"

type
enum<string>
Available options:
CAPABILITY,
INABILITY,
POLICY
Example:

"CAPABILITY"

testType
enum<string> | null

Only applicable for POLICY specifications. Must be null for CAPABILITY and INABILITY.

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS
Example:

"QUALITY"

testVariant
string | null

Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.

Example:

"rag"

useForTestAlignment
boolean
Example:

true

metricIds
string[]
Example:
["metric_123"]
createdAt
string<date-time>
deletedAt
string<date-time> | null